/*************************************************
* Configuration Handling Header File             *
* (C) 1999-2003 The Botan Project                *
*************************************************/

#ifndef BOTAN_CONF_H__
#define BOTAN_CONF_H__

#include <botan/config.h>
#include <botan/types.h>
#include <string>

namespace Botan {

namespace Config {

/*************************************************
* Set an option                                  *
*************************************************/
void add(const std::string&, const std::string&);

/*************************************************
* Get the value of some option                   *
*************************************************/
std::string get_string(const std::string&);
u32bit      get_u32bit(const std::string&);
u32bit      get_time(const std::string&);
bool        get_bool(const std::string&);

}

}

#endif
